Subject: Re: linux-next: build warning after merge of the hwmon-staging tree

From: Guenter Roeck <[email-masked]>
Date: Thu, 10 Feb 2022 09:33:45 -0800

Hi Lee,

On 2/10/22 00:50, Lee Jones wrote:
> On Thu, 10 Feb 2022, Stephen Rothwell wrote:
> 
>> Hi all,
>>
>> After merging the hwmon-staging tree, today's linux-next build (htmldocs)
>> produced this warning:
>>
>> Documentation/hwmon/sy7636a-hwmon.rst:4: WARNING: Title underline too short.
>>
>> Kernel driver sy7636a-hwmon
>> =========================
>>
>> Introduced by commit
>>
>>    de34a4053250 ("hwmon: sy7636a: Add temperature driver for sy7636a")
> 
> Oh wow, that's new (to me), and a little petty, no?
> 
> Would you like me to apply this patch to my branch Guenter?
> 

It would be great if you can do that since you already wrote it.

> I can either send out a new PR, or let it wallow.
> 
Wallow is fine with me; that can go in through your branch.

Actually, I wonder if I should just drop your immutable branch from
my tree and let it go in through your tree. The hwmon patch has my Acked-by:
already, and there are no further dependencies, so it isn't really necessary
for both of us to carry it. What do you think ?

Thanks,
Guenter

> -------- 8< --------
> 
> From: Lee Jones <[email-masked]>
> 
>   Documentation/hwmon/sy7636a-hwmon.rst:4: WARNING: Title underline too short.
> 
>   Kernel driver sy7636a-hwmon
>   =========================
> 
> Signed-off-by: Lee Jones <[email-masked]>
> ---
>   Documentation/hwmon/sy7636a-hwmon.rst | 2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/Documentation/hwmon/sy7636a-hwmon.rst b/Documentation/hwmon/sy7636a-hwmon.rst
> index 5612079397d52..c85db7b329415 100644
> --- a/Documentation/hwmon/sy7636a-hwmon.rst
> +++ b/Documentation/hwmon/sy7636a-hwmon.rst
> @@ -1,7 +1,7 @@
>   .. SPDX-License-Identifier: GPL-2.0-or-later
>   
>   Kernel driver sy7636a-hwmon
> -=========================
> +===========================
>   
>   Supported chips:
>